summaryrefslogtreecommitdiff
path: root/extra/htdig
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/htdig
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/htdig')
-rw-r--r--extra/htdig/PKGBUILD39
-rw-r--r--extra/htdig/gcc4.3.patch15
-rw-r--r--extra/htdig/quoting.patch26
3 files changed, 80 insertions, 0 deletions
diff --git a/extra/htdig/PKGBUILD b/extra/htdig/PKGBUILD
new file mode 100644
index 000000000..6e6f12ab2
--- /dev/null
+++ b/extra/htdig/PKGBUILD
@@ -0,0 +1,39 @@
+# $Id: $
+# Maintainer: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Giovanni Scafora <giovanni@archlinux.org>
+
+pkgname=htdig
+pkgver=3.2.0b6
+pkgrel=6
+pkgdesc="A complete world wide web indexing and searching system for a domain or intranet."
+url="http://www.htdig.org"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('gcc-libs' 'zlib' 'bash')
+options=('!libtool' '!emptydirs')
+source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+ gcc4.3.patch
+ quoting.patch)
+md5sums=('8b9b9587a411ac7dd278fa5413428960'
+ '2aeda683f95b58efc0978d7fe951de59'
+ '0d9099d3b5a32d322a8e0240f85a3578')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ patch -p1 -i ${srcdir}/gcc4.3.patch
+ patch -p1 -i ${srcdir}/quoting.patch || return 1
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --with-config-dir=/etc/htdig \
+ --with-default-config-file=/etc/htdig/htdig.conf \
+ --with-database-dir=/var/lib/htdig/db \
+ --with-cgi-bin-dir=/usr/bin \
+ --with-common-dir=/usr/share/doc/htdig \
+ --with-search-dir=/usr/share/doc/htdig \
+ --with-image-dir=/usr/share/doc/htdig
+ make || return 1
+ make DESTDIR=${pkgdir} install
+}
+
diff --git a/extra/htdig/gcc4.3.patch b/extra/htdig/gcc4.3.patch
new file mode 100644
index 000000000..58dec1395
--- /dev/null
+++ b/extra/htdig/gcc4.3.patch
@@ -0,0 +1,15 @@
+diff -Naurp htdig-3.2.0b6.orig/htsearch/Collection.h htdig-3.2.0b6/htsearch/Collection.h
+--- htdig-3.2.0b6.orig/htsearch/Collection.h 2004-05-28 06:15:24.000000000 -0700
++++ htdig-3.2.0b6/htsearch/Collection.h 2006-03-22 11:35:40.000000000 -0800
+@@ -36,9 +36,9 @@ public:
+ const char *docExcerpt);
+ ~Collection();
+
+- void Collection::Open();
++ void Open();
+
+- void Collection::Close();
++ void Close();
+
+ char *getWordFile() { return wordFile.get(); }
+ DocumentRef *getDocumentRef(int id);
diff --git a/extra/htdig/quoting.patch b/extra/htdig/quoting.patch
new file mode 100644
index 000000000..57b0e3b78
--- /dev/null
+++ b/extra/htdig/quoting.patch
@@ -0,0 +1,26 @@
+Index: htdig-3.2.0b6/htsearch/Display.cc
+===================================================================
+--- htdig-3.2.0b6.orig/htsearch/Display.cc
++++ htdig-3.2.0b6/htsearch/Display.cc
+@@ -137,7 +137,7 @@ Display::display(int pageNumber)
+ // Must temporarily stash the message in a String, since
+ // displaySyntaxError will overwrite the static temp used in form.
+
+- String s(form("No such sort method: `%s'", (const char*)config->Find("sort")));
++ String s("invalid sort method");
+
+ displaySyntaxError(s);
+ return;
+Index: htdig-3.2.0b6/libhtdig/ResultFetch.cc
+===================================================================
+--- htdig-3.2.0b6.orig/libhtdig/ResultFetch.cc
++++ htdig-3.2.0b6/libhtdig/ResultFetch.cc
+@@ -142,7 +142,7 @@ ResultFetch::fetch()
+ // Must temporarily stash the message in a String, since
+ // displaySyntaxError will overwrite the static temp used in form.
+
+- String s(form("No such sort method: `%s'", (const char *) config->Find("sort")));
++ String s("invalid sort method");
+
+ displaySyntaxError(s);
+ //return;